/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34951A.h"

/// <summary>
///	Retrieves a pointer to the Source interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34951A::IAgilent34951A_get_Source(IAgilent34951ASource** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}


/// <summary>
///	Retrieves a pointer to the Trace interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34951A::IAgilent34951A_get_Trace(IAgilent34951ATrace** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}


/// <summary>
///	Retrieves a pointer to the Trigger interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34951A::IAgilent34951A_get_Trigger(IAgilent34951ATrigger** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}

/// <summary>
///	Retrieves a pointer to the Output interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34951A::IAgilent34951A_get_Output(IAgilent34951AOutput** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}
